Loading...
Searching...
No Matches
Dune::MPITraits< T > Struct Template Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

A traits class describing the mapping of types onto MPI_Datatypes. More...

`#include <dune/common/parallel/mpitraits.hh>`

Inheritance diagram for Dune::MPITraits< T >:

## Static Public Member Functions

static MPI_Datatype | getType ()

## Static Public Attributes

static constexpr bool | is_intrinsic = false

## Detailed Description

template<typename T>
struct Dune::MPITraits< T >

A traits class describing the mapping of types onto MPI_Datatypes.

Specializations exist for the default types. Specializations should provide a static method

static MPI_Datatype getType();
Dune::MPITraits::getType
static MPI_Datatype getType()
Definition mpitraits.hh:48

## Member Function Documentation

## getType()

template<typename T>

MPI_Datatype Dune::MPITraits< T >::getType | ( |  | ) |

inline static

## Member Data Documentation

## is_intrinsic

template<typename T>

bool Dune::MPITraits< T >::is_intrinsic = false

static constexpr

The documentation for this struct was generated from the following files:

- bigunsignedint.hh
- mpitraits.hh